int reqgen_http(const char *path, const char *fqdn, char **nbuf);int http_content_length(char *data);
int resp_parse_http(char *data);

/* http_header_extract -- function to return value corresponding to key */
/* key -- null-terminated buffer containing a key to retrieve a value of */
/* data -- null-terminated buffer containing a valid http response header */
/* return value -- NULL on failure, otherwise value corresponding to key in null-terminated buffer */
/* example --
   if(uri_parse(http_header_extract("Location", recvbuf), &uri))
   {
   printf("redirecting to: %s\n", uri->host);
   }
   else
   {
   printf("failed to find a valid redirect. bailing out\n");
   exit();
   }
*/
char *http_get_keyval(char *key, char *data);
